com.holonplatform.reactor.http

## Interface ReactiveResponseEntity<T>

- Type Parameters:
    `T` - Response entity type
  All Superinterfaces:
    com.holonplatform.http.HttpHeaders, com.holonplatform.http.HttpMessage<T>, com.holonplatform.http.HttpResponse<T>, com.holonplatform.core.messaging.Message<T,List<String>>, com.holonplatform.core.messaging.MessageHeaders<List<String>>, com.holonplatform.http.rest.ResponseEntity<T>
  All Known Implementing Classes:
    ClientResponseEntity

      public interface ReactiveResponseEntity<T>
      extends com.holonplatform.http.rest.ResponseEntity<T>

  A reactive `ResponseEntity`.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.HttpResponse

      `com.holonplatform.http.HttpResponse.Builder<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.http.HttpHeaders

      `ACCEPT, ACCEPT_CHARSET, ACCEPT_ENCODING, ACCEPT_LANGUAGE, ACCEPT_RANGES, AGE, ALLOW, AUTHORIZATION, CACHE_CONTROL, CONNECTION, CONTENT_DISPOSITION, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_RANGE, CONTENT_TYPE, COOKIE, DATE, ETAG, EXPECT, EXPIRES, FROM, HOST, IF_MATCH, IF_MODIFIED_SINCE, IF_NONE_MATCH, IF_RANGE, IF_UNMODIFIED_SINCE, LAST_MODIFIED, LINK, LOCATION, MAX_FORWARDS, ORIGIN, PRAGMA, PROXY_AUTHENTICATE, PROXY_AUTHORIZATION, RANGE, REFERER, RETRY_AFTER, SCHEME_BASIC, SCHEME_BEARER, SCHEME_DIGEST, SERVER, SET_COOKIE, TRAILER, TRANSFER_ENCODING, UPGRADE, USER_AGENT, VARY, VIA, WARNING, WWW_AUTHENTICATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<E> reactor.core.publisher.Flux<E>` | `asFlux(Class<E> entityType)` Read the message entity as a `Flux` of the specified type.
    `reactor.core.publisher.Mono<InputStream>` | `asInputStream()` Read the message entity as a raw `InputStream`.
    `reactor.core.publisher.Mono<T>` | `asMono()` Read the message entity as a `Mono`.
    `<E> reactor.core.publisher.Mono<E>` | `asMono(Class<E> entityType)` Read the message entity as a `Mono` of the specified type.
    `<E> reactor.core.publisher.Mono<E>` | `asMono(com.holonplatform.http.rest.ResponseType<E> entityType)` Read the message entity as a `Mono` of the specified type., using a `ResponseType` representation to allow generic types support.

    - ### Methods inherited from interface com.holonplatform.http.rest.ResponseEntity

      `as, as, close`

    - ### Methods inherited from interface com.holonplatform.http.HttpResponse

      `builder, builder, getStatus, getStatusCode`

    - ### Methods inherited from interface com.holonplatform.http.HttpMessage

      `getProtocol`

    - ### Methods inherited from interface com.holonplatform.core.messaging.Message

      `getPayload, getPayloadType`

    - ### Methods inherited from interface com.holonplatform.http.HttpHeaders

      `getAuthorizationBasicCredentials, getAuthorizationBearer, getContentLength, getDate, getHeaderValue, getLocale, getLocales, getLocation`

    - ### Methods inherited from interface com.holonplatform.core.messaging.MessageHeaders

      `getHeader, getHeaders`

- - ### Method Detail

    - #### asMono

          reactor.core.publisher.Mono<T> asMono()

      Read the message entity as a `Mono`.
      Returns:
        A `Mono` containing the message entity

    - #### asMono

          <E> reactor.core.publisher.Mono<E> asMono(Class<E> entityType)

      Read the message entity as a `Mono` of the specified type.
      Type Parameters:
        `E` - Entity instance type
      Parameters:
        `entityType` - Entity type (not null)
      Returns:
        A `Mono` containing the message entity

    - #### asMono

          <E> reactor.core.publisher.Mono<E> asMono(com.holonplatform.http.rest.ResponseType<E> entityType)

      Read the message entity as a `Mono` of the specified type., using a `ResponseType` representation to allow generic types support.
      Type Parameters:
        `E` - Entity instance type
      Parameters:
        `entityType` - Entity response type (not null)
      Returns:
        A `Mono` containing the message entity

    - #### asFlux

          <E> reactor.core.publisher.Flux<E> asFlux(Class<E> entityType)

      Read the message entity as a `Flux` of the specified type.
      Type Parameters:
        `E` - Entity instance type
      Parameters:
        `entityType` - Entity type (not null)
      Returns:
        A `Flux` containing the message entity

    - #### asInputStream

          reactor.core.publisher.Mono<InputStream> asInputStream()

      Read the message entity as a raw `InputStream`.
      Returns:
        A `Mono` to handle the message entity stream

Copyright © 2019 The Holon Platform. All rights reserved.